/*
 * Class PRIMES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_546 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_546 [] = {0xFF01,1551,545,0xFFFF};
static const EIF_TYPE_INDEX egt_2_546 [] = {0xFF01,545,0xFFFF};
static const EIF_TYPE_INDEX egt_3_546 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_546 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_546 [] = {0xFF01,545,0xFFFF};
static const EIF_TYPE_INDEX egt_6_546 [] = {0xFF01,545,0xFFFF};
static const EIF_TYPE_INDEX egt_7_546 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_546 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_546 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_546 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_546 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_546 [] = {0xFF01,545,0xFFFF};
static const EIF_TYPE_INDEX egt_13_546 [] = {0xFF01,1655,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_546 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_546 [] = {0xFF01,2017,866,0xFFFF};
static const EIF_TYPE_INDEX egt_16_546 [] = {0xFF01,1669,869,0xFFFF};


static const struct desc_info desc_546[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_546), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_546), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_546), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_546), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_546), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_546), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_546), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_546), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_546), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_546), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_546), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_546), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0443 /*545*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_546), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_546), 9156, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_546), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9145, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8780, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9153, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8781, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8775, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9144, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9146, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9155, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9152, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9144, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9148, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9158, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9154, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9157, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9145, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9149, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9151, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9195, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9196, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9197, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9198, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_546), 9199, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9192, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_546), 9193, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9194, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9191, 0xFFFFFFFF},
};
void Init546(void)
{
	IDSC(desc_546, 0, 545);
	IDSC(desc_546 + 1, 1, 545);
	IDSC(desc_546 + 32, 1134, 545);
	IDSC(desc_546 + 41, 878, 545);
	IDSC(desc_546 + 42, 1534, 545);
	IDSC(desc_546 + 49, 1444, 545);
	IDSC(desc_546 + 58, 750, 545);
	IDSC(desc_546 + 59, 1135, 545);
	IDSC(desc_546 + 68, 1060, 545);
	IDSC(desc_546 + 74, 778, 545);
	IDSC(desc_546 + 75, 769, 545);
	IDSC(desc_546 + 83, 1380, 545);
}


#ifdef __cplusplus
}
#endif
